/***********************************************************
 *  Document   : styles.css                                *
 *  Created on : 2023-02-28 08:35:00                       *
 *  Author     : Bruno Botella                             *
 *  Syntax recommendation http://www.w3.org/TR/REC-CSS2/   *   
 ***********************************************************/

/**************************************************************************
 * Organisation de la page et définition des principales zones à afficher *
 **************************************************************************/
 body {
    background: #f1f1f1;
    width: 95%;
    max-width: 1280px;
	margin: 1em auto;
}

* {
    color: #345258;
    font-family: Geneva,Arial,Helvetica,sans-serif;
    text-align: justify;
    font-size: 1em;
    font-style: normal;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

h1 {
    text-align: center;
    font-size: xx-large;
    font-weight: bold;
	margin: 1em 0; 
}

h2 {
    font-size: x-large;
    font-weight: bold;
    text-align: left;
    text-indent: -5.9em;
	margin: 1em 1em 1em 7em; 
}

p {
    width: 95%;
    padding: 0.5em 1em;
    margin: 1em auto;
}

/*button {
    border: none;
    background: linear-gradient(to bottom,#a5d9e2, #508892);
    background: -webkit-linear-gradient(to top,#a8cff7, #1e90ff);
    color: #0c1011;
    border-radius: 0.3em;
    -webkit-border-radius: 0.3em;
    box-sizing: border-box;
    box-shadow: 5px 5px 5px #172325;
    -webkit-box-shadow: 5px 5px 5px #172325;
    text-shadow: 1px 1px 3px #172325;
    -webkit-box-shadow: 1px 1px 3px #172325;
    padding: 0.3em 0.3em;
}*/

header {
    margin: 1em auto;
    padding: 0em;
    display: flex;
    justify-content: space-around;
    height: 4em;
    align-items: center;
    background: #c5c7c6;
    width: 97%;
    box-shadow: 3px 3px 5px #1b1a1a;
    -o-box-shadow: 3px 3px 5px #1b1a1a;
    -moz-box-shadow: 3px 3px 5px #1b1a1a;
    -webkit-box-shadow: 3px 3px 5px #1b1a1a;
}

/*header nav {
    width: 80%;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    line-height: 2em;
    margin: 0;
    margin-left: auto;
    font-size: larger;
}

header :first-child {
    align-self: center;
}


header li, header a {
    display: inline-block;
    text-decoration: none;
    margin-right: 0.3em;
}


header  img {
    display: block;
    height: 2.5em;
    margin-left: 1em;
}

button.vert {
    background: linear-gradient(to bottom,#b7d895, #7bca46);
    background: -webkit-linear-gradient(to top,#e2c5a5, #d38552);
}

.container{
    margin: 1em auto;
    padding: 5px;
    width: 97%;
    box-shadow: 3px 3px 5px #1b1a1a;
    -o-box-shadow: 3px 3px 5px #1b1a1a;
    -moz-box-shadow: 3px 3px 5px #1b1a1a;
    -webkit-box-shadow: 3px 3px 5px #1b1a1a;
}*/

#affiche ul{
    margin-top: 2em;
    margin-left: 2em;
    margin-bottom: 1em;
}

#affiche li {
    overflow-wrap: break-word;
}

.post {
    box-shadow: 3px 3px 5px #1b1a1a;
    -o-box-shadow: 3px 3px 5px #1b1a1a;
    -moz-box-shadow: 3px 3px 5px #1b1a1a;
    -webkit-box-shadow: 3px 3px 5px #1b1a1a;
    background-color: white;
    border-radius:0.5em;
    width: 25em;
    margin: 1em auto; 
    padding: 1em; 
    text-align: center;
    vertical-align: bottom;
}

.post label {
    font-style: italic;
}

.post input[type="text"]{
    
    box-sizing: border-box;
    font-size: larger;
    size: 35;
    line-height: 1.4em;
    padding-left: 0.6em;
}

.post input[type="text"]:disabled{
    opacity: 0.3;
}

.post h2 {
    text-align: center;
    text-indent: 0em;
    margin: 1em;
}

.post p {
    width: 90%;
    margin: 0.5em auto;
}

.post p.valid {
    width: 90%;
    margin: 1em auto;
}

#input-name {
    display: flex;
    align-items: flex-end;
}

#load {
    width: 40px;
    margin-left: 1em;
    margin-bottom: -0.3em;
}

#send:disabled {
    opacity: 0.3;
}


#properties {
    display: none;
}

#suggestion {
    background-color: #c5c7c6;
    box-shadow: 3px 3px 7px #535050;
    color: #ffffff;
    font-style: italic;
    padding: 0 1em;
    margin: 0 2.3em;
}

#suggestion ul {
    margin-left: 0;
    padding-left: 0;
    margin-top: -0.8em;
    box-sizing: border-box;
}

#suggestion li {
    list-style-type: none;
    margin-left: 0;
    padding-left: 0;
    box-sizing: border-box;
}

#suggestion li:hover {
    background-color: #262525;
    color: #ffffff;
}
